/*Zdravim pri editacii tohto appletu:)
 * Skusim v rychlosti popisat, o co ide.... ako ste si uz urcite vsimli, 
 * applet sluzi na generovanie obrazku pomocou deterministickeho systemu 
 * iterovanych funkcii. Prva faza je nacitanie koeficientov afinnych 
 * transformacii a vykreslenie pociatocneho obrazku.
 * 
 * Nacitanie koeficientov prebieha nasledovne:
 * pri vybere afinnych transformacii sa automaticky nacitavaju zo suboru
 * vypisu sa do editovatelnych textovych poli v applete, kde ich uzivatel
 * moze lubovolne editovat. Stacenim tlacitka krok sa nasledne znova nacitaju
 * do pola cisel a pracuje sa nimi. 
 * 
 * Pridanie dalsich afinnych transformacii pozostava z nasledujucich krokov:
 * 1.Vytvorite novy File, kam ich zadate v nasledujucom formate:
 * 1a=0.8
 * 1b=0.3
 * ...
 * 2a=... (inspirujte sa uz vytvorenymi subormi).
 * 2.Pridate do prislusneho ComboBoxu moznost vyberu danej transformacie
 * a pri funkcii vyberu zavolate funciu na nacitanie koeficientov.
 * 3.Doplnite nazvy aj do funkcii zvolSlovak() a zvolEnglish().
 * 
 * Co sa tyka pridania vychodzi obrazkov, postupujte nasledovne:
 * 1.Inspirujte sa funkciami zobraz_obr1() az zobraz_obr9(), dalsiu funkciu
 * pre zjednodusenie pomenujte zobraz_obrX(), X=nasledujuce cislo ;)
 * 2.Pridajte do prislusneho ComboBoboxu moznost vyberu daneho obrazka a nastavite ho 
 * aj pri fukcii vyberu.
 * 3.Doplnite nazvy aj do funkcii zvolSlovak() a zvolEnglish().
 * 
 * Samotne transformacie obrazka su zalozene na nasledujucom principe:
 * Vykreslovacie platno ma velkost 300x300 pixelov. Kazdy jeden pixel
 * sa presetri, ci je alebo nie je biely, ak nie je, jeho farebna 
 * hodnota sa zaznamena a prebehnu na nom jednotlive transformacie
 * a ziskaju sa nove suradnice s danou farebnou hodnotou.
 * Nasledne sa pole prekonvertuje na retazec, ktory sa vykresli.
 * Problemom bolo, ze afinne transformacie transformuju obrazok podla
 * symetrickej suradnicovej sustavy. V jave zacina suradnicova sustava
 * v lavom hornom rohu. Takze musela som posunut stred novej suradnicovej
 * sustavy do bodu (150,150) podla starej a po transformaciach kvoli
 * vykreslovaniu navratit. 
 * Ak mate nejaky lepsi napad, ako sa to da spravit, agata.bodnarova@gmail.com.
 * Budem rada, ak mi napisete, lebo s tym som sa teda natrapila ;)
 * Este okomentujem zdrojak a prajem vela zdaru pri jeho dalsej modifikacii ;)
 * 
 * Agi.  
 */
//: c13:Applet1d.java
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.util.Iterator;
import java.util.Properties;
import java.util.Timer;
import java.util.TimerTask;
import java.util.TreeMap;
import java.awt.image.*;

public class myApplet extends JApplet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	Canvas c = new Canvas(); // na vykreslovanie

	JPanel Plocha = new JPanel();

	JComboBox obrazky = new JComboBox(); // vyber obr

	JComboBox transformacie1 = new JComboBox(); // vyber transf

	JComboBox transformacie2 = new JComboBox(); // vyber upresnenie transf

	JPanel panel = new JPanel();

	private BufferedImage image;

	int stlpce = 0;

	String TextChyba = "Nesprvne zadan koeficient transformcie (m by <1), okresal sa.";

	String TextNadpis = "Chyba";

	Color farba;

	Image obr;

	int x = 0;

	int y = 0;

	int akt_krok = 0;

	JMenuBar jmn = new JMenuBar();

	JButton krok = new JButton("Krok");

	JButton vycisti = new JButton("Vycisti");

	JTextField[][] Sada = new JTextField[8][6];

	int Stare[][] = new int[301][301];

	double sada[][] = new double[8][6];

	JLabel Vyber_obrazku = new JLabel("Vber obrzku:");

	JLabel Info_a = new JLabel("a");

	JLabel Info_b = new JLabel("b");

	JLabel Info_c = new JLabel("c");

	JLabel Info_d = new JLabel("d");

	JLabel Info_e = new JLabel("e");

	JLabel Info_f = new JLabel("f");

	JLabel Info_S1 = new JLabel("Sada 1");

	JLabel Info_S2 = new JLabel("Sada 2");

	JLabel Info_S3 = new JLabel("Sada 3");

	JLabel Info_S4 = new JLabel("Sada 4");

	JLabel Info_S5 = new JLabel("Sada 5");

	JLabel Info_S6 = new JLabel("Sada 6");

	JLabel Info_S7 = new JLabel("Sada 7");

	JLabel Info_S8 = new JLabel("Sada 8");

	JLabel aktualny_krok = new JLabel("Krok:");

	JLabel aktualny_krok_vypis = new JLabel("0");

	JLabel Vyber = new JLabel("Vber jazyka:");

	ButtonGroup VyberJazyka = new ButtonGroup();

	JRadioButton Slovak = new JRadioButton("Slovak", true);

	JRadioButton English = new JRadioButton("English", false);

//inicializacia 
	public void init() {
		constructGUI();
		setSize(750, 360);
		setVisible(true);
		English.addMouseListener(new MouseAdapter() {
			public void mouseClicked(MouseEvent e) {
				zvolEnglish();
			}
		});

		Slovak.addMouseListener(new MouseAdapter() {
			public void mouseClicked(MouseEvent e) {
				zvolSlovak();
			}
		});
		Timer t=new Timer();
		t.schedule(new TimerTask(){
			public void run() {
				transformacie2.setSelectedItem("trojuholnk");
			}
		},500);
	}

	//vytvorenie kostry appletu
	private void constructGUI() {
		Container contentPane = getContentPane();
		setName("DIFUS - Deterministic Iterated Function Systems");

		constructPanel();

		panel.setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));
		contentPane.add(panel, BorderLayout.CENTER);
		setJMenuBar(jmn);
		transformacie2.setSelectedItem("trojuholnk");
	}

	//naplnenie kostry
	private void constructPanel() {
		image = new BufferedImage(300, 300, BufferedImage.TYPE_INT_ARGB);
		this.setLayout(null);
		setBackground(Color.white);
		Plocha.setBounds(new Rectangle(10, 10, 300, 300));
		Plocha.setBackground(Color.white);

		this.add(Plocha, null);

		obrazky.setBounds(new Rectangle(500, 45, 150, 20));
		obrazky.addItem("tvorec"); 
		obrazky.addItem("Chlapik");
		obrazky.addItem("Strom");
		obrazky.addItem("Trojuholnk");
		obrazky.addItem("Obdnik");
		obrazky.addItem("seka");
		obrazky.addItem("Dlh seka");
		obrazky.addItem("Patuholnik");
		obrazky.addItem("Bod"); 
		obrazky.addItem("euholnk");
		
//tu treba pridat moznost vyberu noveho obrazku z ComboBoxu
		
		this.add(obrazky, null);

		transformacie1.setBounds(new Rectangle(350, 10, 150, 20));
		transformacie1.addItem("Sierpinskeho");
		transformacie1.addItem("Kochova krivka");
		transformacie1.addItem("Barnsleyho papradie");
		transformacie1.addItem("Pentigree");
		transformacie1.addItem("Pentadentrite");
		transformacie1.addItem("Levyho drak");
		transformacie1.addItem("Heighwayov drak");
//		tu treba pridat moznost vyberu novej transformacie z ComboBoxu		
		
		this.add(transformacie1, null);

		obrazky.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				switch (obrazky.getSelectedIndex()) {
				case 0:
					zobraz_obr1();
					break;
				case 1:
					zobraz_obr2();
					break;

				case 2:
					zobraz_obr3();
					break;

				case 3:
					zobraz_obr4();
					break;
				case 4:
					zobraz_obr9();
					break;
				case 5:
					zobraz_obr6();
					break;
				case 6:
					zobraz_obr7();
					break;
				case 7:
					zobraz_obr8();
					break;
				case 8:
					zobraz_obr5();
					break;
				case 9:
					zobraz_obr10();
					break;
//sem pridate ze aby sa obrazok zobrazil pri vybere danej polozky 
//z ComboBoxu					

				}
			}
		}

		);

//transformacie2.addActionListener(new ActionListener() {
////ak je v prvom ComboBoxe vybrana moznost Siepinskeho, upresni sa to
////v druhom ComboBoxe. Pri vybere z neho sa nacitaju transformacie.
//			public void actionPerformed(ActionEvent e) {
//				switch (transformacie2.getSelectedIndex()) {
//				case 0:
//					nazov_suboru("sierpinskeho_trojuholnik");//nielenze sa nacitaju koeficienty tranf.
//
//					//zobraz_obr4(); //ale nacita sa aj defaultny obrazok, ktory najlepsie demonstruje prve kroky
//					obrazky.setSelectedItem("Trojuholnk");
//					break;
//				case 1:
//					nazov_suboru("sierpinskeho_stvoruholnik");
//					//zobraz_obr1();
//					obrazky.setSelectedItem("tvorec");
//					break;
//				case 2:
//					nazov_suboru("sierpinskeho_patuholnik");
//					//zobraz_obr8();
//					obrazky.setSelectedItem("Patuholnik");
//
//					break;
//				case 3:
//					nazov_suboru("sierpinskeho_sestuholnik");
//					//zobraz_obr10();
//					obrazky.setSelectedItem("euholnk");
//					;
//				}
//			}
//		});

		krok.addMouseListener(new MouseListener() {
//co sa udeje pri staceni tlacitka krok
			public void mouseClicked(MouseEvent e) {
				transformacie1.setEnabled(false);
				transformacie2.setEnabled(false);
				obrazky.setEnabled(false);
				Slovak.setEnabled(false);
				English.setEnabled(false);
				Vyber.setEnabled(false);
				akt_krok++;
				aktualny_krok_vypis.setText("" + akt_krok);
				transformuj();
			}

			public void mousePressed(MouseEvent e) {
			}

			public void mouseReleased(MouseEvent e) {
			}

			public void mouseEntered(MouseEvent e) {
			}

			public void mouseExited(MouseEvent e) {
			}
		});

		vycisti.addMouseListener(new MouseListener() {
//co sa udeje pri stlaceni tlacitka Vycisti
			public void mouseClicked(MouseEvent e) {

				Vycisti_okno();
				transformacie1.setEnabled(true);
				transformacie2.setEnabled(true);
				obrazky.setEnabled(true);
				Vyber.setEnabled(true);
				Slovak.setEnabled(true);
				English.setEnabled(true);
				// int vybraty_t2 = transformacie2.getSelectedIndex();
				// transformacie2.setSelectedIndex(vybraty_t2);
				// int vybraty_t1 = transformacie1.getSelectedIndex();
				// transformacie1.setSelectedIndex(vybraty_t1);
				int vybraty_o = obrazky.getSelectedIndex();
				obrazky.setSelectedIndex(vybraty_o);
				// Vycisti_okno();
				// zobraz_obr1();
				akt_krok = 0;
				aktualny_krok_vypis.setText("0");

			}

			public void mousePressed(MouseEvent e) {
			}

			public void mouseReleased(MouseEvent e) {
			}

			public void mouseEntered(MouseEvent e) {
			}

			public void mouseExited(MouseEvent e) {
			}
		});

		transformacie1.addActionListener(new ActionListener() {
			//tiez nacitanie transformacii... hlavne z prveho COmboBoxu
			public void actionPerformed(ActionEvent e) {
				if (transformacie1.getSelectedIndex() != 0) {
					transformacie2.setEnabled(false);
				} else {
					transformacie2.setEnabled(true);
				}
				switch (transformacie1.getSelectedIndex()) {
				case 0:
					switch (transformacie2.getSelectedIndex()) {
					case 0:
						
						break;					
					case 1:
						nazov_suboru("sierpinskeho_trojuholnik");//nielenze sa nacitaju koeficienty tranf.
	
						//zobraz_obr4(); //ale nacita sa aj defaultny obrazok, ktory najlepsie demonstruje prve kroky
						obrazky.setSelectedItem("Trojuholnk");
						break;
					case 2:
						nazov_suboru("sierpinskeho_stvoruholnik");
						//zobraz_obr1();
						obrazky.setSelectedItem("tvorec");
						break;
					case 3:
						nazov_suboru("sierpinskeho_patuholnik");
						//zobraz_obr8();
						obrazky.setSelectedItem("Patuholnik");

						break;
					case 4:
						nazov_suboru("sierpinskeho_sestuholnik");
						//zobraz_obr10();
						obrazky.setSelectedItem("euholnk");
					}
					break;
					
//					obrazky.addItem("tvorec"); 
//					obrazky.addItem("Chlapik");
//					obrazky.addItem("Strom");
//					obrazky.addItem("Trojuholnk");
//					obrazky.addItem("Obdnik");
//					obrazky.addItem("seka");
//					obrazky.addItem("Dlh seka");
//					obrazky.addItem("Patuholnik");
//					obrazky.addItem("Bod"); 
//					obrazky.addItem("euholnk");
				case 1:
					nazov_suboru("kochova_krivka");
					zobraz_obr7();
					obrazky.getItemAt(6);
					obrazky.setSelectedItem("Dlh seka");
					break;
				case 2:
					nazov_suboru("barnsleyho_papradie");
					zobraz_obr9();
					obrazky.setSelectedItem("Trojuholnk");
					break;
				case 3:
					nazov_suboru("pentigree");
					//zobraz_obr6();
					obrazky.setSelectedItem("seka");
					break;
				case 4:
					nazov_suboru("pentadentrite");
					//zobraz_obr6();
					obrazky.setSelectedItem("seka");
					break;
				case 5:
					nazov_suboru("levyho_drak");
					//zobraz_obr7();
					obrazky.setSelectedItem("Dlh seka");
					break;
				case 6:
					nazov_suboru("heighwayov_drak");
					//zobraz_obr6();
					obrazky.setSelectedItem("seka");
					break;
				}
			}
		});
		transformacie2.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {

				// break;

				switch (transformacie2.getSelectedIndex()) {
				case 0:
					
					break;
				case 1:
					nazov_suboru("sierpinskeho_trojuholnik");
				obrazky.setSelectedItem("Trojuholnk");
					break;
				case 2:
					nazov_suboru("sierpinskeho_stvoruholnik");
					//zobraz_obr1();
					obrazky.setSelectedItem("tvorec");
					break;
				case 3:
					nazov_suboru("sierpinskeho_patuholnik");
					//zobraz_obr8();
					obrazky.setSelectedItem("Patuholnik");

					break;
				case 4:
					nazov_suboru("sierpinskeho_sestuholnik");
					//zobraz_obr10();
					obrazky.setSelectedItem("euholnk");
					break;
				default:
					nazov_suboru("sierpinskeho_sestuholnik");
				//zobraz_obr10();
				obrazky.setSelectedItem("euholnk");
				break;
				}

			}
		}

		);

		transformacie2.setBounds(new Rectangle(540, 10, 150, 20));
		//pridanie vyberov do druheho ComboBoxu	
		transformacie2.addItem("Upresni:");
		transformacie2.addItem("trojuholnk");
		transformacie2.addItem("tvoruholnk");
		transformacie2.addItem("puholnk");
		transformacie2.addItem("esuholnk");
		this.add(transformacie2, null);

		Vyber_obrazku.setBounds(new Rectangle(400, 45, 100, 20));
		Vyber_obrazku.setForeground(Color.black);
		Info_a.setBounds(new Rectangle(330, 100, 10, 15));
		Info_a.setForeground(Color.black);
		Info_b.setBounds(new Rectangle(330, 130, 10, 15));
		Info_b.setForeground(Color.black);
		Info_c.setBounds(new Rectangle(330, 160, 10, 15));
		Info_c.setForeground(Color.black);
		Info_d.setBounds(new Rectangle(330, 190, 10, 15));
		Info_d.setForeground(Color.black);
		Info_e.setBounds(new Rectangle(330, 220, 10, 15));
		Info_e.setForeground(Color.black);
		Info_f.setBounds(new Rectangle(330, 250, 10, 15));
		Info_f.setForeground(Color.black);

		Info_S1.setBounds(new Rectangle(350, 80, 40, 15));
		Info_S1.setForeground(Color.black);
		Info_S2.setBounds(new Rectangle(400, 80, 40, 15));
		Info_S2.setForeground(Color.black);
		Info_S3.setBounds(new Rectangle(450, 80, 40, 15));
		Info_S3.setForeground(Color.black);
		Info_S4.setBounds(new Rectangle(500, 80, 40, 15));
		Info_S4.setForeground(Color.black);
		Info_S5.setBounds(new Rectangle(550, 80, 40, 15));
		Info_S5.setForeground(Color.black);
		Info_S6.setBounds(new Rectangle(600, 80, 40, 15));
		Info_S6.setForeground(Color.black);
		Info_S7.setBounds(new Rectangle(650, 80, 40, 15));
		Info_S7.setForeground(Color.black);
		Info_S8.setBounds(new Rectangle(700, 80, 40, 15));
		Info_S8.setForeground(Color.black);
		// Vyber.setBounds(new Rectangle(520, 340, 120, 15));
		// Vyber.setForeground(Color.black);

		this.add(Info_a, null);
		this.add(Info_b, null);
		this.add(Info_c, null);
		this.add(Info_d, null);
		this.add(Info_e, null);
		this.add(Info_f, null);
		this.add(Vyber_obrazku, null);

		this.add(Info_S1, null);
		this.add(Info_S2, null);
		this.add(Info_S3, null);
		this.add(Info_S4, null);
		this.add(Info_S5, null);
		this.add(Info_S6, null);
		this.add(Info_S7, null);
		this.add(Info_S8, null);
		this.add(Vyber, null);

		for (int i = 0; i < Sada.length; i++) {
			for (int j = 0; j < Sada[i].length; j++) {
				Sada[i][j] = new JTextField("0");
				Sada[i][j].setBounds(new Rectangle(350 + i * 50, 105 + j * 30,
						40, 20));
				Sada[i][j].setEnabled(false);
				this.add(Sada[i][j], null);
			}
		}

		krok.setBounds(new Rectangle(10, 320, 145, 20));
		vycisti.setBounds(new Rectangle(165, 320, 145, 20));
		this.add(krok, null);
		this.add(vycisti, null);

		aktualny_krok.setBounds(new Rectangle(390, 310, 30, 20));
		aktualny_krok_vypis.setBounds(new Rectangle(430, 310, 30, 20));
		this.add(aktualny_krok, null);
		this.add(aktualny_krok_vypis, null);

		Vyber.setBounds(new Rectangle(520, 310, 90, 20));
		VyberJazyka.add(Slovak);
		VyberJazyka.add(English);
		Slovak.setBounds(new Rectangle(620, 300, 70, 20));
		English.setBounds(new Rectangle(620, 320, 70, 20));
		this.add(Vyber, null);
		this.add(Slovak, null);
		this.add(English, null);
	}

	private void transformuj() {
		//funkcia na transformaciu obr. podla koef.transformacii
		int iii = 0, jjj = 0;
		int Nove[][] = new int[300][300];
		int pole[] = new int[90000];
		int l = 0;

		// nacitanie, overenie a opravenie aktualnej sady
		for (int i = 0; i < stlpce; i++) {
			for (int j = 0; j <= 5; j++) {

				sada[i][j] = Float.parseFloat(Sada[i][j].getText().trim());
				if (j == 0 || j == 1 || j == 2 || j == 3) {
					if (sada[i][j] >= 1 || sada[i][j] <= -1) {
						sada[i][j] = (int) ((sada[i][j] - (int) sada[i][j]) * 1000);
						sada[i][j] = sada[i][j] / 1000;
						Sada[i][j].setText("" + sada[i][j]);
						JOptionPane.showMessageDialog(this, TextChyba,
								TextNadpis, JOptionPane.ERROR_MESSAGE);
					}
				}
				// System.out.print(sada[i][j]);
			}
		}
		// zistenie ci je alebo nie je vykresleny pixel
		for (int i = 0; i < 300; i++) {
			for (int j = 0; j < 300; j++) {
				int pixel = image.getRGB(i, j);
				if (pixel != -1) {
					Stare[i][j] = pixel;
				} else
					Stare[i][j] = 0;
			}
		}
		//uz samotna transformacia s prevodom do a z novej sur.sus.
		l = 0;
		for (int i = 0; i < 300; i++) {
			for (int j = 0; j < 300; j++) {
				if (Stare[i][j] != 0) {
					for (int k = 0; k < stlpce; k++) {
						int novei = 0, noveiii = 0;
						int novej = 0, novejjj = 0;
						novei = i - 150;//zmena sur.sus.
						novej = 150 - j;//zmena sur.sus.
//						novei=i;
//						novej=300-j;
						//samotne transformacie:
						iii = (int) (sada[k][l] * novei + sada[k][l + 1]
								* novej + sada[k][l + 4] * 150);
						jjj = (int) (sada[k][l + 2] * novei + sada[k][l + 3]
								* novej + sada[k][l + 5] * 150);
						noveiii = iii + 150;//zmena sur.sus. naspat
						novejjj = 150 - jjj;//zmena sur.sus. naspat
//						noveiii=iii;
//						novejjj=300-jjj;
						//ak sa pixel nachadza v rozmedzi vykreslovacieho platna:
						if (noveiii >= 0 && noveiii < 300 && novejjj >= 0
								&& novejjj < 300) {
							Nove[novejjj][noveiii] = Stare[i][j];
						}
					}
				}
			}
		}
		// vykreslovanie
		for (int i = 0; i < 300; i++) {
			System.arraycopy(Nove[i], 0, Stare[i], 0, 300);
			System.arraycopy(Stare[i], 0, pole, 300 * i, 300);
		}
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		Image imageNovy = createImage(new MemoryImageSource(300, 300, pole, 0,
				300));
		g1.drawImage(imageNovy, 0, 0, null);
		g.drawImage(image, 0, 0, null);
	}
	//nazov = String;
	private void nazov_suboru(String nazov) {
		//nacitanie koeficientov transformacie zo suboru
		// String str = new String(data);
		try {
			Properties prop = new Properties();
			prop.load(Thread.currentThread().getContextClassLoader()
					.getResourceAsStream(nazov));
			TreeMap sorted = new TreeMap();
			sorted.putAll(prop);
			Iterator iterator = sorted.values().iterator();
			stlpce = 1;
			for (int i = 0; i < 8; i++) {
				for (int j = 0; j <= 5; j++) {
					if (iterator.hasNext()) {
						Sada[i][j].setText(iterator.next().toString());
						Sada[i][j].setEnabled(true);
						// sada[i][j] = Float.parseFloat(Sada[i][j].getText()
						// .trim());
					} else {
						Sada[i][j].setText("");
						Sada[i][j].setEnabled(false);
					}
				}
				if (iterator.hasNext()) {
					stlpce++;
					// System.out.print(stlpce);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	private void Vycisti_okno() {
		//fcia na vycistenie okna
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.white);
		g1.fillRect(0, 0, 300, 300);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr1() {
		//fcia na vykreslenie obrazku
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.drawRect(1, 1, 298, 298);
		g1.drawLine(15, 235, 15, 285);
		g1.drawLine(15, 285, 30, 285);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr2() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.drawOval(127, 60, 45, 45);
		g1.drawLine(150, 105, 135, 190);
		g1.drawLine(135, 190, 110, 280);
		g1.drawLine(135, 190, 230, 280);
		g1.drawLine(145, 125, 90, 170);
		g1.drawLine(145, 125, 230, 170);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr3() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.fillRect(130, 120, 40, 160);
		g1.fillRect(190, 260, 4, 20);
		g1.setColor(Color.green);
		g1.fillOval(90, 40, 120, 120);
		g1.setColor(Color.red);
		g1.fillOval(183, 245, 20, 20);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr4() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		int x[] = new int[3];
		int y[] = new int[3];
		x[0] = 150;
		x[1] = 0;
		x[2] = 299;
		y[0] = 0;
		y[1] = 299;
		y[2] = 299;
		g1.drawPolygon(x, y, 3);
		g1.drawLine(30, 270, 30, 290);
		g1.drawLine(30, 290, 40, 290);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr5() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.drawOval(150, 150, 1, 1);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr6() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.drawLine(75, 150, 225, 150);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr7() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.drawLine(0, 150, 300, 150);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr8() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		int x[] = new int[5];
		int y[] = new int[5];
		x[0] = 150;
		y[0] = 5;
		x[1] = 0;
		y[1] = 120;
		x[2] = 60;
		y[2] = 295;
		x[3] = 240;
		y[3] = 295;
		x[4] = 299;
		y[4] = 120;
		g1.drawPolygon(x, y, 5);
		g1.drawLine(70, 270, 70, 290);
		g1.drawLine(70, 290, 80, 290);
		g.drawImage(image, 0, 0, null);
	}

	private void zobraz_obr9() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		g1.drawRect(50, 0, 200, 298);
		g1.drawLine(65, 235, 65, 285);
		g1.drawLine(65, 285, 80, 285);
		g.drawImage(image, 0, 0, null);
	}
	private void zobraz_obr10() {
		Vycisti_okno();
		Graphics2D g1 = (Graphics2D) image.getGraphics();
		Graphics g = Plocha.getGraphics();
		g1.setColor(Color.black);
		int x[] = new int[6];
		int y[] = new int[6];
		x[0] = 80;
		y[0] = 0;
		x[1] = 0;
		y[1] = 150;
		x[2] = 80;
		y[2] = 299;
		x[3] = 220;
		y[3] = 299;
		x[4] = 299;
		y[4] = 150;
		x[5] = 220;
		y[5] = 0;
		g1.drawPolygon(x, y, 6);
		g1.drawLine(90, 270, 90, 290);
		g1.drawLine(90, 290, 100, 290);
		g.drawImage(image, 0, 0, null);
	}
	//tu pridaj dalsie obrazky ;)
	
	
	private void zvolSlovak() {
		//zmena jazyka na slovencinu
		if (this.krok.getText().equals("Step"))
			this.krok.setText("Krok");
		this.aktualny_krok.setText("Krok");
		this.vycisti.setText("Vyisti");
		this.Vyber.setText("Vber jazyka:");
		this.Info_S1.setText("Sada 1");
		this.Info_S2.setText("Sada 2");
		this.Info_S3.setText("Sada 3");
		this.Info_S4.setText("Sada 4");
		this.Info_S5.setText("Sada 5");
		this.Info_S6.setText("Sada 6");
		this.Info_S7.setText("Sada 7");
		this.Info_S8.setText("Sada 8");
		this.Vyber_obrazku.setText("Vber obrzku:");
		int vybrate1 = transformacie1.getSelectedIndex();
		int vybrate2 = transformacie2.getSelectedIndex();
		int vybrate3 = obrazky.getSelectedIndex();
		transformacie1.removeAllItems();
		transformacie2.removeAllItems();
		obrazky.removeAllItems();
		transformacie1.addItem("Sierpinskeho");
		transformacie1.addItem("Kochova krivka");
		transformacie1.addItem("Barnsleyho papradie");
		transformacie1.addItem("Pentigree");
		transformacie1.addItem("Pentadentrite");
		transformacie1.addItem("Levyho drak");
		transformacie1.addItem("Heighwayov drak");
		transformacie2.addItem("Upresni:");
		transformacie2.addItem("trojuholnk");
		transformacie2.addItem("tvoruholnk");
		transformacie2.addItem("puholnk");
		transformacie2.addItem("esuholnk");
		obrazky.addItem("tvorec");
		obrazky.addItem("Chlapik");
		obrazky.addItem("Strom");
		obrazky.addItem("Trojuholnk");
		obrazky.addItem("Obdnik");
		obrazky.addItem("seka");
		obrazky.addItem("Dlh seka");
		obrazky.addItem("Patuholnik");
		obrazky.addItem("Bod");
		obrazky.addItem("esuholnk");
		transformacie2.setSelectedIndex(vybrate2);
		transformacie1.setSelectedIndex(vybrate1);
		obrazky.setSelectedIndex(vybrate3);
	}

	private void zvolEnglish() {
		//zmena jazyka na angl.
		if (this.krok.getText().equals("Krok"))
			this.krok.setText("Step");
		this.aktualny_krok.setText("Step");
		this.vycisti.setText("Clear");
		this.Vyber.setText("Language selection:");
		this.Info_S1.setText("Set 1");
		this.Info_S2.setText("Set 2");
		this.Info_S3.setText("Set 3");
		this.Info_S4.setText("Set 4");
		this.Info_S5.setText("Set 5");
		this.Info_S6.setText("Set 6");
		this.Info_S7.setText("Set 7");
		this.Info_S8.setText("Set 8");
		this.Vyber_obrazku.setText("Choose picture:");
		int vybrate1 = transformacie1.getSelectedIndex();
		int vybrate2 = transformacie2.getSelectedIndex();
		int vybrate3 = obrazky.getSelectedIndex();
		transformacie1.removeAllItems();
		transformacie2.removeAllItems();
		obrazky.removeAllItems();
		transformacie1.addItem("Sierpinski's");
		transformacie1.addItem("Koch's curve");
		transformacie1.addItem("Barnsley's fern");
		transformacie1.addItem("Pentigree");
		transformacie1.addItem("Pentadentrite");
		transformacie1.addItem("Levy's dragon");
		transformacie1.addItem("Heighway's dragon");
		transformacie2.addItem("Choose:");
		transformacie2.addItem("gasket");
		transformacie2.addItem("carpet");
		transformacie2.addItem("pentagon");
		transformacie2.addItem("hexagon");
		// obrazky.addItem("Choose picture");
		obrazky.addItem("Carpet");
		obrazky.addItem("Boy");
		obrazky.addItem("Tree");
		obrazky.addItem("Gasket");
		obrazky.addItem("rectangle");
		obrazky.addItem("Dash");
		obrazky.addItem("Long dash");
		obrazky.addItem("Pentagon");
		obrazky.addItem("Dot");
		obrazky.addItem("Hexagon");
		transformacie2.setSelectedIndex(vybrate2);
		transformacie1.setSelectedIndex(vybrate1);
		obrazky.setSelectedIndex(vybrate3);

	}
//tak tolko ;) Ak nestacilo, doprogramuj si co len xes.
} // /:~
